Bug 231832 - cad/gmsh: fix build with powerpc64
Summary: cad/gmsh: fix build with powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-30 20:24 UTC by Piotr Kubaj
Modified: 2018-10-28 09:02 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (jrm)


Attachments
patch (852 bytes, patch)
2018-09-30 20:24 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-30 20:24:19 UTC
Created attachment 197644 [details]
patch

Using newer compiler from ports on powerpc64 fixes build issue.
Comment 1 Nathan 2018-09-30 23:46:47 UTC
Comment on attachment 197644 [details]
patch

Same reply as bug#231835
Comment 2 Joseph Mingrone freebsd_committer 2018-10-03 17:19:57 UTC
I am working on updating cad/gmsh to version 4.  I think the work is mostly done, but there is one blocking problem.

https://gitlab.onelab.info/gmsh/gmsh/issues/451

I hope to submit a review with this fix soon and hopefully you can test the build on powerpc64, since I don't have any powerpc hardware.
Comment 3 Joseph Mingrone freebsd_committer 2018-10-12 22:34:54 UTC
Update: I have to get approval to commit an update to science/cgnslib before the update to cad/gmsh.

https://reviews.freebsd.org/D17432
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2018-10-26 21:23:38 UTC
(In reply to Joseph Mingrone from comment #3)

Now that science/cgnslib has been committed, is this PR unblocked?
Comment 5 Joseph Mingrone freebsd_committer 2018-10-26 21:26:25 UTC
I committed the new cad/gmsh.  I am still hoping someone with powerpc64 hardware can test the build with the new version.
Comment 6 Piotr Kubaj freebsd_committer 2018-10-27 19:15:31 UTC
(In reply to Joseph Mingrone from comment #5)
Still doesn't build with base GCC.

I'd be actually surprised if upstream returned to being compatible with GCC 4.2 in new release :)
Comment 7 commit-hook freebsd_committer 2018-10-28 04:17:45 UTC
A commit references this bug:

Author: jrm
Date: Sun Oct 28 04:17:19 UTC 2018
New revision: 483218
URL: https://svnweb.freebsd.org/changeset/ports/483218

Log:
  cad/gmsh: Fix powerpc64 build [1] and restore DOCS knob [2]

  PR:		231832
  Submitted by:	pkubaj@anongoth.pl [1]
  Reported by:	mat [2]

Changes:
  head/cad/gmsh/Makefile
  head/cad/gmsh/pkg-plist
Comment 8 Piotr Kubaj freebsd_committer 2018-10-28 09:02:59 UTC
The build progresses much further with this fix (so it's necessary), but it's not fixed (it was with previous version).

It fails at including immintrin.h, I'll come up with another fix.